package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares two PartAeros' {@link BOMLineHolder}.
 */
public class PartAeroBLComparator extends PartBLComparator {
    private static final long serialVersionUID = 4353837710227367827L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new PartAeroComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());

    }

}
